Bug 251839 - Font spacing is poor in Firefox
Font spacing is poor in Firefox
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-12 04:54 EDT by Nathan G. Grennan
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 10:02:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example of bad spacing (103.21 KB, image/png)
2007-08-12 04:56 EDT, Nathan G. Grennan
no flags Details
Example of good spacing (115.73 KB, image/png)
2007-08-12 04:57 EDT, Nathan G. Grennan
no flags Details

  None (edit)
Description Nathan G. Grennan 2007-08-12 04:54:56 EDT
Description of problem:
Font spacing is poor in Firefox by default. It seems to be relted to Pango
support. Using "export MOZ_DISABLE_PANGO=1" corrects the spacing issue.

I will attach screenshots of both bad and good spacing.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. yum install firefox
2. Open firefox
3. Go to http://digg.com/
  
Actual results:
Lots of bad font spacing

Expected results:
Lots of good font spacing.

Additional info:
To make sure this wasn't just my fault via some customizing I tried this in a
fresh install with updates of F8T1 and got the exact same results.
Comment 1 Nathan G. Grennan 2007-08-12 04:56:09 EDT
Created attachment 161136 [details]
Example of bad spacing
Comment 2 Nathan G. Grennan 2007-08-12 04:57:09 EDT
Created attachment 161137 [details]
Example of good spacing
Comment 3 David Rees 2007-10-25 04:41:31 EDT
I've found that disabling pango also significantly improves page rendering times
in addition to fixing the font spacing/rendering issues. It's still slower than
the Official Mozilla builds on F7, but at least it's not annoyingly slow.

I found a simply test which illustrates the dramatic performance difference
between the two builds of Mozilla:
http://www.howtocreate.co.uk/csstest.html

Download the page locally to disk, the refresh the page a couple times and see
where the load times stabilize in the top right.
Comment 4 Matěj Cepl 2008-02-21 17:34:10 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Matěj Cepl 2008-02-21 17:35:16 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 6 Nathan G. Grennan 2008-02-22 14:51:34 EST
I am using the Firefox 3 beta3 rpm from the Remi repository, which is based on
older build koji builds. Remi tweaks things so that firefox 2 and 3 can coexist.
With Pango enabled the font spacing on Digg looks fine. So this still may be an
issue with Firefox 2, but seems fine at the moment with Firefox 3.


firefox3-3.0-0.beta3.20080211.fc8.remi.i386
Comment 7 Nathan G. Grennan 2008-02-22 15:45:14 EST
I tried it with Firefox 2.0.0.12 on FC8 with and without Pango. Spacing seemed
the same.

firefox-2.0.0.12-1.fc8.i386
Comment 8 Matěj Cepl 2008-02-25 10:02:16 EST
OK, so this will be apparently fixed in FF3 (if it has not been fixed already).

Closing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.